Bug 82446 - [EFL] LayoutTestController needs implementation of addUserStyleSheet
Summary: [EFL] LayoutTestController needs implementation of addUserStyleSheet
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebKit EFL (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Sudarsana Nagineni (babu)
URL:
Keywords:
Depends on:
Blocks: 82449
  Show dependency treegraph
 
Reported: 2012-03-28 03:39 PDT by Sudarsana Nagineni (babu)
Modified: 2012-05-15 00:20 PDT (History)
5 users (show)

See Also:


Attachments
Patch (6.42 KB, patch)
2012-03-28 04:00 PDT, Sudarsana Nagineni (babu)
no flags Details | Formatted Diff | Diff
Patch (6.43 KB, patch)
2012-03-29 00:04 PDT, Sudarsana Nagineni (babu)
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Sudarsana Nagineni (babu) 2012-03-28 03:39:41 PDT
LayoutTestController needs implementation of addUserStyleSheet in order to unskip the following tests.

userscripts/mixed-case-stylesheet.html 
userscripts/user-style-all-frames.html
userscripts/simple-stylesheet.html 
userscripts/script-run-at-end.html
Comment 1 Sudarsana Nagineni (babu) 2012-03-28 04:00:13 PDT
Created attachment 134259 [details]
Patch

Add addUserStyleSheet implementation
Comment 2 Gyuyoung Kim 2012-03-28 04:34:34 PDT
Comment on attachment 134259 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=134259&action=review

> Source/WebKit/efl/WebCoreSupport/DumpRenderTreeSupportEfl.h:68
> +    static void addUserStyleSheet(Evas_Object* ewkView, const char* sourceCode, bool allFrames);

In my humble opinion, it is better to add const keyword in front of Evas_Object. Because EWKPrivate::corePage is defined as below,
http://trac.webkit.org/browser/trunk/Source/WebKit/efl/ewk/ewk_private.h#L95

In addition, you just use page object without ewkView's change. It seems you can add const keyword.
Comment 3 Sudarsana Nagineni (babu) 2012-03-28 23:56:28 PDT
(In reply to comment #2)
> In my humble opinion, it is better to add const keyword in front of Evas_Object. Because EWKPrivate::corePage is defined as below,
> http://trac.webkit.org/browser/trunk/Source/WebKit/efl/ewk/ewk_private.h#L95
> 
> In addition, you just use page object without ewkView's change. It seems you can add const keyword.

Okay, thanks for your review!
Comment 4 Sudarsana Nagineni (babu) 2012-03-29 00:04:06 PDT
Created attachment 134511 [details]
Patch

fix review comment #2
Comment 5 Raphael Kubo da Costa (:rakuco) 2012-04-01 14:36:49 PDT
Comment on attachment 134511 [details]
Patch

Looks good to me.
Comment 6 WebKit Review Bot 2012-04-10 08:35:52 PDT
Comment on attachment 134511 [details]
Patch

Clearing flags on attachment: 134511

Committed r113719: <http://trac.webkit.org/changeset/113719>
Comment 7 WebKit Review Bot 2012-04-10 08:35:59 PDT
All reviewed patches have been landed.  Closing bug.